# appveyor configuration. See http://www.appveyor.com/docs/appveyor-yml
# and http://www.appveyor.com/docs/installed-software#python

environment:

  matrix:
    - PYTHON: "C:\\Python27"
    - PYTHON: "C:\\Python33-x64"

install:

  - ECHO "Installed SDKs:"
  - ps: "ls \"C:/Program Files/Microsoft SDKs/Windows\""

  # Check that we have the expected version and architecture for Python
  - "%PYTHON%\\python.exe --version"
  - "%PYTHON%\\python.exe -c \"import struct; print(struct.calcsize('P') * 8)\""

  # We need wheel installed to build wheels
  - "%PYTHON%\\python.exe -m pip install wheel"

before_build:
  - curl -fsS -o waf https://waf.io/waf-1.8.20
  - curl -fsS -o waf.bat https://raw.githubusercontent.com/waf-project/waf/master/utils/waf.bat

build_script:
  - waf configure build --verbose
